#ifndef GETBRIGHTNESSTHREAD_H
#define GETBRIGHTNESSTHREAD_H
#include <QThread>


class GetBrightnessThread : public QThread{
    Q_OBJECT
public:
    GetBrightnessThread(QString edidHash, QString i2cBus);
    ~GetBrightnessThread();
    void setExit(bool b);
protected:
    void run()override;
private:
    QString edidHash;
    QString i2cBus;
    bool exitFlag;
Q_SIGNALS:
    void getBrightnessFinished(int value);
};


#endif // GETBRIGHTNESSTHREAD_H
